=== requirements.txt ===
# Check against .travis.yml file and dipy/info.py
cython>=0.25.1
numpy>=1.7.1
scipy>=0.9
nibabel>=2.1.0
h5py>=2.4.0
