=== debian/changelog ===
dipy (0.13.0-2) unstable; urgency=medium

  * debian/patches/1300.diff to mitigate failing tests on 32bit

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 25 Nov 2017 00:41:46 -0500

dipy (0.13.0-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/control
    - python-h5py was added to (Build-)Depends and
      python-tables was removed from Depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 22 Nov 2017 21:23:41 -0500
