=== debian/control ===
Source: dipy
Section: python
Priority: extra
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <mih@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev,
               python-numpy (>= 1:1.7.1~),
               python-h5py,
               python-scipy,
               cython (>= 0.13),
               python-matplotlib,
               python-sphinx (>= 1.0),
               python-nose,
               python-nibabel,
               libgomp1,
Standards-Version: 3.9.7
Homepage: http://dipy.org
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-exppsy/dipy.git
Vcs-Git: git://anonscm.debian.org/pkg-exppsy/dipy.git
X-Python-Version: >= 2.7

Package: python-dipy
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
		 python-numpy (>= 1:1.7.1~), python-scipy,
		 python-h5py,
		 python-dipy-lib (>= ${source:Version})
Recommends: python-matplotlib,
			python-vtk,
			python-nose,
			python-nibabel,
Suggests: ipython
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python library for the analysis of diffusion MRI datasets
 DIPY is a software project for computational neuroanatomy. It focuses
 on diffusion magnetic resonance imaging (dMRI) analysis and
 tractography but also contains implementations of other computational
 imaging methods such as denoising and registration that are
 applicable to the greater medical imaging and image processing
 communities. Additionally, DIPY is an international project which
 brings together scientists across labs and countries to share their
 state-of-the-art code and expertise in the same codebase,
 accelerating scientific research in medical imaging.
 .
 Here are some of the highlights:
  - Reconstruction algorithms: CSD, DSI, GQI, DTI, DKI, QBI, SHORE
    and MAPMRI
  - Fiber tracking algorithms: deterministic and probabilistic
  - Native linear and nonlinear registration of images
  - Fast operations on streamlines (selection, resampling, registration)
  - Tractography segmentation and clustering
  - Many image operations, e.g., reslicing or denoising with NLMEANS
  - Estimation of distances/correspondences between streamlines and
    connectivity matrices
  - Interactive visualization of streamlines in the space of images

Package: python-dipy-lib
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python library for the analysis of diffusion MRI datasets -- extensions
 DIPY is a library for the analysis of diffusion magnetic resonance
 imaging data.
 .
 This package provides architecture-dependent builds of the extensions.


Package: python-dipy-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Suggests: python-dipy
Description: Python library for the analysis of diffusion MRI datasets -- documentation
 DIPY is a library for the analysis of diffusion magnetic resonance
 imaging data.
 .
 This package provides the documentation in HTML format.
