=== debian/watch ===
version=3

opts="filenamemangle=s/.*\/(.*)/dipy-$1/" \
  http://github.com/nipy/dipy/tags .*archive/(\d[\d\.a-z]+).tar.gz
