=== debian/changelog ===
dipy (0.14.0-1~nd+1) sid; urgency=medium

  * Backported for sid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 15 May 2018 02:42:32 -0400

dipy (0.14.0-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/
    - pushed compat to 9
    - removed absorbed upstream debian/patches/1300.diff
    - build-depend on python-numpydoc

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 14 May 2018 14:59:42 -0400
