=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 SPHINXOPTS := -D today=\"$(BUILD_DATE)\"
 
 %:
-	dh --buildsystem=python_distutils $@  --with python2
+	dh $@ --buildsystem=python_distutils --with python2
 
 clean_generated:
 	find dipy -iname *.c | xargs grep -l -e 'Generated by Cython' | xargs -r rm -f
