=== debian/changelog ===
dipy (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Secure URI in copyright format (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 02 Nov 2020 08:57:11 +0100

dipy (1.2.0-1) unstable; urgency=medium

  [ Yaroslav Halchenko ]
  * debian/
    + provide python3 packaging
    + suggest python-dipy-doc (Closes: #849904)

  [ Andreas Tille ]
  * cme fix dpkg-control
  * Standards-Version: 4.5.0 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Drop Python2 package
    Closes: #936400, #942973, #923657
  * Versioned Build-Depends: python3-nibabel (>= 3.0.0)
  * Make Debian Med team maintainer and move package to med-team on Salsa
  * Remove debian/gbp.conf since repository now follows default layout
    as described in policy
  * Remove unused debian/blends file
  * Remove outdated debian/README.source
  * debhelper-compat 13 (routine-update)
  * Remove debian/cythonized-files
  * (Build-)Depends: pandas

 -- Andreas Tille <tille@debian.org>  Sat, 31 Oct 2020 22:37:04 +0100
