## dipy 1.3.0

=== requirements.txt ===
--- 
+++ 
@@ -5,3 +5,4 @@
 nibabel>=3.0.0
 h5py>=2.5.0
 packaging>=19.0
+tqdm>=4.30.0
