=== debian/changelog ===
dipy (1.3.0-3) unstable; urgency=medium

  * Team upload.
  * d/rules: prevent build time test suite from accessing network resources.
    Closes: #987517
  * d/rules: install .so files in python3-dipy-lib; this makes several dipy
    modules, formerly missing, now usable.
    Closes: #987453

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sun, 25 Apr 2021 11:15:12 +0200

dipy (1.3.0-2) unstable; urgency=medium

  * Team upload.
  
  [ Helmut Grohne ]
  * Tag more test dependencies <!nocheck>. (Closes: #980336)

 -- Andreas Tille <tille@debian.org>  Wed, 20 Jan 2021 11:52:53 +0100

dipy (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * watch file standard 4 (routine-update)
  * (Build-)Depends: python3-tqdm

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jan 2021 15:34:26 +0100
