=== debian/control ===
--- 
+++ 
@@ -13,18 +13,19 @@
                python3-numpy,
                python3-h5py,
                python3-scipy,
-               python3-matplotlib,
+               python3-matplotlib <!nocheck>,
                python3-sphinx,
                python3-numpydoc,
-               python3-nose,
+               python3-nose <!nocheck>,
                python3-nibabel (>= 3.0.0),
                python3-pytest <!nocheck>,
                python3-pandas <!nocheck>,
                python3-tables <!nocheck>,
                python3-sklearn <!nocheck>,
-               xvfb,
-               xauth
-Standards-Version: 4.5.0
+               python3-tqdm,
+               xvfb <!nocheck>,
+               xauth <!nocheck>
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/dipy
 Vcs-Git: https://salsa.debian.org/med-team/dipy.git
 Homepage: https://dipy.org
@@ -39,7 +40,8 @@
          python3-scipy,
          python3-h5py,
          python3-pandas,
-         python3-dipy-lib (>= ${source:Version})
+         python3-dipy-lib (>= ${source:Version}),
+         python3-tqdm
 Recommends: python3-matplotlib,
             python3-vtk7,
             python3-nose,
