=== debian/watch ===
version=4

opts="filenamemangle=s/.*\/(.*)/dipy-$1/" \
  http://github.com/nipy/dipy/releases .*archive/(\d[\d\.a-z]+).tar.gz
