=== debian/changelog ===
dipy (1.4.1-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 19:22:14 +0000

dipy (1.4.1-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Demote documentation dependencies to B-D-I. (Closes: #983840)

  [ Étienne Mollier ]
  * New upstream version 1.4.1.
  * d/watch: fix broken link to Github and refer through https instead of http.
  * Standards-Version: 4.6.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Apply multi-arch hints.
    + python3-dipy-lib: Add Multi-Arch: same.
    + python-dipy-doc: Add Multi-Arch: foreign.
  * d/control, crossbuild.patch: demote python3-h5py, -nibabel and -tqdm
    build-dependencies as <!nocheck>, and prevent setup.py to forcefully
    ask for the corresponding modules; this enables cross compilation.
    (Also demote python3-scipy to reduce the load on nocheck build profiles.)
  * d/control, d/rules: make python-dipy-doc depend on libjs-mathjax, and avoid
    one to refer to mathjax online while reading the documentation, which would
    otherwise be a privacy breach.
  * d/control: add myself to uploaders.
  * d/rules: make all example scripts not executable, for consistency.
  * d/rules: enable hardening.
  * d/copyright: update copyright years.
  * add spelling-error-in-binary.patch.

 -- Étienne Mollier <emollier@debian.org>  Sat, 18 Sep 2021 12:58:08 +0200
