=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dipy
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
-           Michael Hanke <mih@debian.org>
+           Michael Hanke <mih@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
@@ -11,21 +12,21 @@
                cython3,
                python3-all-dev,
                python3-numpy,
-               python3-h5py,
-               python3-scipy,
+               python3-h5py <!nocheck>,
+               python3-scipy <!nocheck>,
                python3-matplotlib <!nocheck>,
-               python3-sphinx,
-               python3-numpydoc,
                python3-nose <!nocheck>,
-               python3-nibabel (>= 3.0.0),
+               python3-nibabel (>= 3.0.0) <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pandas <!nocheck>,
                python3-tables <!nocheck>,
                python3-sklearn <!nocheck>,
-               python3-tqdm,
+               python3-tqdm <!nocheck>,
                xvfb <!nocheck>,
                xauth <!nocheck>
-Standards-Version: 4.5.1
+Build-Depends-Indep: python3-sphinx,
+                     python3-numpydoc,
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/dipy
 Vcs-Git: https://salsa.debian.org/med-team/dipy.git
 Homepage: https://dipy.org
@@ -82,6 +83,7 @@
          ${shlibs:Depends},
          ${misc:Depends}
 Provides: ${python3:Provides}
+Multi-Arch: same
 Description: Python library for the analysis of diffusion MRI datasets -- Python3 extensions
  DIPY is a library for the analysis of diffusion magnetic resonance
  imaging data.
@@ -93,8 +95,10 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends},
-         libjs-jquery
+         libjs-jquery,
+         libjs-mathjax
 Suggests: python3-dipy
+Multi-Arch: foreign
 Description: Python library for the analysis of diffusion MRI datasets -- documentation
  DIPY is a library for the analysis of diffusion magnetic resonance
  imaging data.
