=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 PY3VER = $(shell py3versions -vd)
 
 include /usr/share/dpkg/default.mk
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 MIN_CYTHONVER = 0.25.1
 
@@ -36,6 +37,7 @@
 endif
 
 override_dh_auto_build:
+	chmod 0644 doc/examples/*.py
 	dh_auto_build
 	echo "backend : Agg" >| build/matplotlibrc
 
@@ -44,7 +46,7 @@
 	: # Prune duplicate LICENSE file
 	find debian/ -name LICENSE -delete
 	: # Only now lets build docs
-ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+ifeq (python-dipy-doc_,$(filter python-dipy-doc,$(shell dh_listpackages))_$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	export PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
 		   MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
 	cd doc; $(MAKE) html-after-examples SPHINXOPTS="$(SPHINXOPTS)"
@@ -52,6 +54,14 @@
 	-rm -r doc/_build/html/_sources
 	: # objects inventory is of no use for the package
 	-rm doc/_build/html/objects.inv
+	# references to cloudflare and github are privacy breaches
+	sed 's@https://cdnjs\.cloudflare\.com/ajax/libs/mathjax/[^/]\+/@file:///usr/share/javascript/mathjax/unpacked/@' \
+		-i doc/_build/html/*.html \
+		   doc/_build/html/interfaces/*.html \
+		   doc/_build/html/theory/*.html
+	# FIXME: references to github are for images part of dipy_data, which
+	# is not available in debian; these may need packaging to solve the
+	# privacy breach here.
 endif
 	# Run tests later on
 	# cd build to prevent use of local/not-built source tree
