=== debian/watch ===
version=4

opts="filenamemangle=s/.*\/(.*)/dipy-$1/" \
  https://github.com/dipy/dipy/tags (?:.*?/)?v?(\d[\d\.a-z]+).tar.gz
