=== debian/changelog ===
dipy (1.5.0-4) unstable; urgency=medium

  * Team Upload.
  * d/rules: Ignore dh_dwz if it fails (currently failing on armel)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 26 Mar 2022 13:39:31 +0530

dipy (1.5.0-3) unstable; urgency=medium

  * Team Upload.
  * d/rules: Ignore another test on s390x

 -- Nilesh Patra <nilesh@debian.org>  Thu, 24 Mar 2022 20:46:34 +0530

dipy (1.5.0-2) unstable; urgency=medium

  * Team Upload.
  * d/rules: Ignore some tests on s390x

 -- Nilesh Patra <nilesh@debian.org>  Thu, 24 Mar 2022 15:29:17 +0530

dipy (1.5.0-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Lintian-override for
    package-contains-documentation-outside-usr-share-doc
  * Simplify dh_python3 override
  * Build-Depends: python3-setuptools

  [ Étienne Mollier ]
  * Add autopkgtests (Closes: #994575)
  * Add skip-tests-needing-internet.patch
  * d/rules: rework the test suite to use pytest instead of nosetest
  * d/control: remove dependency on python3-nose
  * d/control: add test build-dep to python3-tk
  * d/control: add test build-dep on python3-pil.tkinter

  [ Nilesh Patra ]
  * Fixing autopkgtest by testing in the installed dipy (not source)
  * d/salsa-ci.yml: Disable reprotest
  * Fix build on i386 (failing due to precision errors)
  * Copy dipy/data in autopkgtest suite as well
  * Skip running examples as autopkgtest for now - these consume a lot
    of resources and might be unsuited for our runners.

 -- Nilesh Patra <nilesh@debian.org>  Wed, 23 Mar 2022 13:10:42 +0000
