=== debian/control ===
--- 
+++ 
@@ -11,15 +11,17 @@
                libgomp1,
                cython3,
                python3-all-dev,
+               python3-setuptools,
                python3-numpy,
+               python3-scipy,
                python3-h5py <!nocheck>,
-               python3-scipy <!nocheck>,
                python3-matplotlib <!nocheck>,
-               python3-nose <!nocheck>,
                python3-nibabel (>= 3.0.0) <!nocheck>,
+               python3-pil.imagetk <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pandas <!nocheck>,
                python3-tables <!nocheck>,
+               python3-tk <!nocheck>,
                python3-sklearn <!nocheck>,
                python3-tqdm <!nocheck>,
                xvfb <!nocheck>,
@@ -42,10 +44,10 @@
          python3-h5py,
          python3-pandas,
          python3-dipy-lib (>= ${source:Version}),
-         python3-tqdm
+         python3-tqdm,
+         python3-packaging
 Recommends: python3-matplotlib,
             python3-vtk7,
-            python3-nose,
             python3-nibabel,
             python3-tables,
             python3-sklearn
