=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 PACKAGE3_NAME = python3-$(PYBUILD_NAME)
 
-PACKAGE3_ROOT_DIR = debian/${PACKAGE3_NAME}
+PACKAGE3_ROOT_DIR = $(CURDIR)/debian/${PACKAGE3_NAME}
 INSTALL_PATH = $(CURDIR)/debian/tmp
 
 ifeq (,$(findstring get-orig-source, $(MAKECMDGOALS)))
@@ -24,8 +24,15 @@
 BUILD_DATE := "$(date --utc --date="@${SOURCE_DATE_EPOCH:-$(date +%s)}" +%B %d, %Y)"
 SPHINXOPTS := -D today=\"$(BUILD_DATE)\"
 
+ifneq (,$(findstring $(DEB_BUILD_ARCH),s390x))
+REMOVE_FILES := dipy/align/tests/test_streamlinear.py dipy/align/tests/test_streamline.py dipy/tracking/tests/test_distances.py dipy/viz/tests/test_fury.py dipy/workflows/tests/test_align.py dipy/workflows/tests/test_segment.py dipy/align/tests/test_whole_brain_slr.py dipy/data/tests/test_data.py
+endif
+
 %:
 	dh $@ --buildsystem=pybuild --with python3
+
+execute_before_dh_auto_configure:
+	rm -f $(REMOVE_FILES)
 
 override_dh_auto_clean:
 	dh_auto_clean || true
@@ -66,37 +73,35 @@
 	# Run tests later on
 	# cd build to prevent use of local/not-built source tree
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	set -x ; \
-	export http_proxy=http://127.0.0.1:9/ ; \
-	export https_proxy=https://127.0.0.1:9/ ; \
-	for PYTHON in $(PY3VERS); do \
-	    export PYTHONPATH=$$(pybuild --print build_dir --interpreter python$$PYTHON); \
-	    echo "I: Running Dipy unittests using $$PYTHON"; \
-	    cd build; \
-	    PATH=$(INSTALL_PATH)/usr/bin:$$PATH \
-	        HOME=/tmp \
-		MPLCONFIGDIR=/tmp/ xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" \
-			python$$PYTHON /usr/bin/nosetests3 -sv --exclude 'test_(peaksFromModelParallel|fetcher)' dipy; \
-	    cd .. ; \
-	done
+	set -ex \
+	; export http_proxy=http://127.0.0.1:9/ \
+	; export https_proxy=https://127.0.0.1:9/ \
+	; for PYTHON in $(PY3VERS) \
+	; do	PYPKG="$(PACKAGE3_ROOT_DIR)/usr/lib/python$$PYTHON/dist-packages" \
+	;	export PYTHONPATH="$$PYPKG" \
+	;	echo "I: Running Dipy unittests using $$PYTHON" \
+	;	cd "$$PYPKG" \
+	;	PATH=$(PACKAGE3_ROOT_DIR)/usr/bin:$$PATH \
+			HOME=/tmp \
+			MPLCONFIGDIR=/tmp/ xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" \
+			python$$PYTHON -m pytest dipy \
+	;	rm .pytest_cache -rf \
+	; done
 endif
+	find debian/$(PACKAGE3_NAME)/usr/lib/python3* \( -name affine.txt -o -name "*.trk" \) -delete
 
-## move .so libraries into -lib package, and call dh_numpy*
-## while removing 2 if not present
-_dh_python%:
+## "Instantiate" both rules so dh sees them
+override_dh_python3:
 	set -e \
-	; test -d debian/$(PACKAGE$*_NAME)/usr/lib || exit 0 \
-	; for lib in $$(find debian/$(PACKAGE$*_NAME)/usr/lib -name "*.so") \
+	; test -d debian/$(PACKAGE3_NAME)/usr/lib || exit 0 \
+	; for lib in $$(find debian/$(PACKAGE3_NAME)/usr/lib -name "*.so") \
 	; do	sdir=$$(dirname $$lib) \
-	;	tdir=debian/$(PACKAGE$*_NAME)-lib/$${sdir#*$(PACKAGE$*_NAME)/} \
+	;	tdir=debian/$(PACKAGE3_NAME)-lib/$${sdir#*$(PACKAGE3_NAME)/} \
 	;	mkdir -p "$${tdir}" \
 	;	mv -v "$${lib}" "$${tdir}" \
 	; done
-	[ -e /usr/bin/dh_numpy$(*:2=) ] && dh_numpy$(*:2=) -p$(PACKAGE$*_NAME)-lib || :
-	dh_python$*
-
-## "Instantiate" both rules so dh sees them
-override_dh_python3: _dh_python3
+	dh_numpy3 -p$(PACKAGE3_NAME)-lib
+	dh_python3
 
 ## immediately useable documentation
 ## and exemplar data (they are small excerpts anyway)
@@ -109,6 +114,9 @@
 	$(MAKE) -C doc clean
 	dh_clean
 
+override_dh_dwz:
+	dh_dwz || true
+
 inject-doc-examples:
 	mkdir -p doc-examples
 	tar -C doc-examples --strip-components 1 \
